## org.apache.batik.script.jacl
Class JaclInterpreterFactory

    java.lang.Object
      org.apache.batik.script.jacl.JaclInterpreterFactory

All Implemented Interfaces:
  InterpreterFactory

public class JaclInterpreterFactory
extends java.lang.Object
implements InterpreterFactory

Allows to create instances of `JaclInterpreter` class.

Constructor Summary
`JaclInterpreterFactory()` Builds a `JaclInterpreterFactory`.

Method Summary
`Interpreter` `createInterpreter(java.net.URL documentURL)` Creates an instance of `JaclInterpreter` class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaclInterpreterFactory

    public JaclInterpreterFactory()

  Builds a `JaclInterpreterFactory`.

Method Detail

### createInterpreter

    public Interpreter createInterpreter(java.net.URL documentURL)

  Creates an instance of `JaclInterpreter` class.

  Specified by:
    `createInterpreter` in interface `InterpreterFactory`
  Parameters:
    `documentURL` - the url for the document which will be scripted

Copyright © 2004 Apache Software Foundation. All Rights Reserved.